SDL_RectsEqualEpsilon(3)

NAME
SDL_RectsEqualEpsilon - Determine whether two floating point rectangles are equal, within some given epsilon.

HEADER FILE
Defined in SDL3/SDL_rect.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_FORCE_INLINE bool SDL_RectsEqualEpsilon(const SDL_FRect *a, const SDL_FRect *b, float epsilon);

DESCRIPTION
Rectangles are considered equal if both are not NULL and each of their x, y, width and height are within epsilon of each other. If you don't know what value to use for epsilon , you should call the

SDL_RectsEqualFloat
 function instead.

Note that this is a forced-inline function in a header, and not a public API function available in the SDL library (which is to say, the code is embedded in the calling program and the linker and dynamic loader will not be able to find this function inside SDL itself).

FUNCTION PARAMETERS

a   the first rectangle to test.

b   the second rectangle to test.

epsilon
    the epsilon value for comparison.

RETURN VALUE
Returns true if the rectangles are equal, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_RectsEqualFloat(3)